Bug 788252 - Review Request: pysendfile - Python interface to the sendfile(2) system call
Summary: Review Request: pysendfile - Python interface to the sendfile(2) system call
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Weller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-07 21:17 UTC by Russell Bryant
Modified: 2012-03-01 01:04 UTC (History)
5 users (show)

Fixed In Version: pysendfile-2.0.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-15 11:34:48 UTC
ian: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Russell Bryant 2012-02-07 21:17:02 UTC
Spec URL: http://fedorapeople.org/~russellb/python-sendfile/python-sendfile.spec

SRPM URL: http://fedorapeople.org/~russellb/python-sendfile/python-sendfile-2.0.0-1.fc16.src.rpm

Description: 
sendfile(2) is a system call which provides a "zero-copy" way of copying data
from one file descriptor to another (a socket). The phrase "zero-copy" refers
to the fact that all of the copying of data between the two descriptors is done
entirely by the kernel, with no copying of data into user-space buffers. This is
particularly useful when sending a file over a socket (e.g. FTP).

Comment 1 Ian Weller 2012-02-08 05:29:33 UTC
A quick note -- the upstream project name is pysendfile, not sendfile or python-sendfile, and because the upstream project name has "py" in it, this package's base name should be pysendfile.

From the naming guidelines: "When naming a package, the name should match the upstream tarball or project name from which this software came."

Also from the naming guidelines: "There is an exception to this rule. If the upstream source has "py" (or "Py") in its name, you can use that name for the package. So, for example, pygtk is acceptable." (the "rule" in context is using python-$modulename)

I have a feeling this can be argued either way but I'm leaning towards pysendfile.

Comment 2 Matthias Runge 2012-02-08 09:11:21 UTC
running fedora-review on this results in:

Issues:
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: python-sendfile-2.0.0-1.fc17.i686.rpm : /usr/lib/python2.7/site-
     packages/sendfile.so

There's a test provided. Is it possible to run this test after building 
( %check section ) ?

Comment 3 Jamie Nguyen 2012-02-08 10:58:04 UTC
Minor comment: no need to remove buildroot in the %install section.
http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Comment 4 Russell Bryant 2012-02-08 15:18:08 UTC
Thanks for the review, everyone!  I have made some updates:

1) Renamed the package to pysendfile to match upstream
2) Added a %check section to run the unit tests
3) Remove unnecessary removal of the buildroot in %install section

Regarding the issue pointed out by fedora-review, I don't think that is correct for this package.  That so is the Python module itself, so it shouldn't be in a devel package.  I believe that check is designed for a C/C++ package, not a Python package.

Spec: http://fedorapeople.org/~russellb/pysendfile/pysendfile.spec

SRPM: http://fedorapeople.org/~russellb/pysendfile/pysendfile-2.0.0-2.fc16.src.rpm

Comment 5 Ian Weller 2012-02-08 16:00:26 UTC
> Regarding the issue pointed out by fedora-review, I don't think that is correct
> for this package.  That so is the Python module itself, so it shouldn't be in a
> devel package.  I believe that check is designed for a C/C++ package, not a
> Python package.

You're correct on this. Looks like a bug in fedora-review.

I'm going to go ahead and take this and do a full review.

Comment 6 Ian Weller 2012-02-08 23:40:32 UTC
Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [x] passed, [F] failed, [-] irrelevant

[x] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.
        pysendfile.x86_64: W: spelling-error Summary(en_US) sendfile -> send
        file, send-file, senile
        pysendfile.x86_64: W: spelling-error %description -l en_US sendfile ->
        send file, send-file, senile
        pysendfile.src: W: spelling-error Summary(en_US) sendfile -> send file,
        send-file, senile
        pysendfile.src: W: spelling-error %description -l en_US sendfile ->
        send file, send-file, senile
        3 packages and 0 specfiles checked; 0 errors, 4 warnings.
    These warnings are ignorable.
[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[x] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual
    license. 
[x] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English. 
[x] MUST: The spec file for the package MUST be legible. 
[x] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
[x] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[x] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[x] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[x] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[x] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[x] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[F] MUST: Each package must consistently use macros. 
        In %check, instead of using find and basename to get the path to
        sendfile.so, just use $RPM_BUILD_ROOT%{python_sitearch}.
[x] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[x] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[-] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[x] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[x] MUST: All filenames in rpm packages must be valid UTF-8. 

One item failed.

Comment 7 Russell Bryant 2012-02-08 23:48:27 UTC
Thanks for the review!  I have updated the package to fix the failure.

Spec: http://fedorapeople.org/~russellb/pysendfile/python-sendfile.spec

SRPM: http://fedorapeople.org/~russellb/pysendfile/pysendfile-2.0.0-3.fc16.src.rpm

Comment 8 Russell Bryant 2012-02-08 23:48:58 UTC
Oops, wrong spec link ...

Spec: http://fedorapeople.org/~russellb/pysendfile/pysendfile.spec

Comment 9 Ian Weller 2012-02-13 17:55:55 UTC
That change looks good.

APPROVED

Comment 10 Russell Bryant 2012-02-13 19:43:07 UTC
New Package SCM Request
=======================
Package Name: pysendfile
Short Description: Python interface to the sendfile(2) system call
Owners: russellb
Branches: f17 el6
InitialCC:

Comment 11 Ian Weller 2012-02-13 19:46:51 UTC
/me fixes fedora-review flag

Comment 12 Russell Bryant 2012-02-13 19:53:19 UTC
Adding f16 to branches list...

New Package SCM Request
=======================
Package Name: pysendfile
Short Description: Python interface to the sendfile(2) system call
Owners: russellb
Branches: f16 f17 el6
InitialCC:

Comment 13 Gwyn Ciesla 2012-02-13 20:10:40 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-02-13 20:46:29 UTC
pysendfile-2.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pysendfile-2.0.0-3.el6

Comment 15 Fedora Update System 2012-02-13 20:47:17 UTC
pysendfile-2.0.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pysendfile-2.0.0-3.fc16

Comment 16 Fedora Update System 2012-02-14 09:09:20 UTC
pysendfile-2.0.0-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 17 Fedora Update System 2012-02-15 11:34:48 UTC
pysendfile-2.0.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 18 Fedora Update System 2012-03-01 01:04:08 UTC
pysendfile-2.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.